diff --git a/pidgin/gtkblist.c b/pidgin/gtkblist.c
--- a/pidgin/gtkblist.c
+++ b/pidgin/gtkblist.c
@@ -3745,139 +491,6 @@
 					   NULL, NULL);
 }
 
-PidginBuddyList *
-pidgin_blist_get_default_gtk_blist(void)
-{
-	return gtkblist;
-}
-
-static gboolean
-autojoin_cb(PurpleConnection *gc, G_GNUC_UNUSED gpointer data)
-{
-	PurpleAccount *account = purple_connection_get_account(gc);
-	PurpleBlistNode *gnode, *cnode;
-	for (gnode = purple_blist_get_default_root(); gnode;
-	     gnode = gnode->next) {
-		if(!PURPLE_IS_GROUP(gnode))
-			continue;
-		for(cnode = gnode->child; cnode; cnode = cnode->next)
-		{
-			PurpleChat *chat;
-
-			if(!PURPLE_IS_CHAT(cnode))
-				continue;
-
-			chat = (PurpleChat *)cnode;
-
-			if(purple_chat_get_account(chat) != account)
-				continue;
-
-			if (purple_blist_node_get_bool(PURPLE_BLIST_NODE(chat), "gtk-autojoin"))
-				purple_serv_join_chat(gc, purple_chat_get_components(chat));
-		}
-	}
-
-	/* Stop processing; we handled the autojoins. */
-	return TRUE;
-}
-
-void *
-pidgin_blist_get_handle(void) {
-	static int handle;
-
-	return &handle;
-}
-
-static gboolean buddy_signonoff_timeout_cb(PurpleBuddy *buddy)
-{
-	PidginBlistNode *gtknode = g_object_get_data(G_OBJECT(buddy), UI_DATA);
-	PurpleAccount *account = NULL;
-
-	gtknode->recent_signonoff = FALSE;
-	gtknode->recent_signonoff_timer = 0;
-
-	account = purple_buddy_get_account(buddy);
-	if(purple_account_is_connected(account)) {
-		pidgin_blist_update(NULL, PURPLE_BLIST_NODE(buddy));
-	}
-
-	return FALSE;
-}
-
-static void
-buddy_signonoff_cb(PurpleBuddy *buddy) {
-	PidginBlistNode *gtknode = g_object_get_data(G_OBJECT(buddy), UI_DATA);
-
-	if(gtknode == NULL) {
-		pidgin_blist_new_node(purple_blist_get_default(),
-		                      PURPLE_BLIST_NODE(buddy));
-
-		gtknode = g_object_get_data(G_OBJECT(buddy), UI_DATA);
-	}
-
-	gtknode->recent_signonoff = TRUE;
-
-	if(gtknode->recent_signonoff_timer > 0)
-		g_source_remove(gtknode->recent_signonoff_timer);
-
-	g_object_ref(buddy);
-	gtknode->recent_signonoff_timer = g_timeout_add_seconds_full(
-			G_PRIORITY_DEFAULT, 10,
-			(GSourceFunc)buddy_signonoff_timeout_cb,
-			buddy, g_object_unref);
-}
-
-void pidgin_blist_init(void)
-{
-	void *gtk_blist_handle = pidgin_blist_get_handle();
-
-	cached_emblems = g_hash_table_new_full(g_str_hash, g_str_equal, g_free, NULL);
-
-	/* Remove old prefs */
-	purple_prefs_remove(PIDGIN_PREFS_ROOT "/blist/show_buddy_icons");
-	purple_prefs_remove(PIDGIN_PREFS_ROOT "/blist/show_empty_groups");
-	purple_prefs_remove(PIDGIN_PREFS_ROOT "/blist/show_idle_time");
-	purple_prefs_remove(PIDGIN_PREFS_ROOT "/blist/show_offline_buddies");
-	purple_prefs_remove(PIDGIN_PREFS_ROOT "/blist/show_protocol_icons");
-
-	/* Initialize prefs */
-	purple_prefs_add_none(PIDGIN_PREFS_ROOT "/blist");
-	purple_prefs_add_string(PIDGIN_PREFS_ROOT "/blist/sort_type", "alphabetical");
-	purple_prefs_add_string(PIDGIN_PREFS_ROOT "/blist/theme", "");
-
-	/* Register our signals */
-	purple_signal_register(gtk_blist_handle, "gtkblist-created",
-	                     purple_marshal_VOID__POINTER, G_TYPE_NONE, 1,
-	                     PURPLE_TYPE_BUDDY_LIST);
-
-	purple_signal_register(gtk_blist_handle, "drawing-tooltip",
-	                     purple_marshal_VOID__POINTER_POINTER_UINT, G_TYPE_NONE,
-	                     3, PURPLE_TYPE_BLIST_NODE,
-	                     G_TYPE_POINTER, /* pointer to a (GString *) */
-	                     G_TYPE_BOOLEAN);
-
-	purple_signal_connect(purple_blist_get_handle(), "buddy-signed-on",
-			gtk_blist_handle, G_CALLBACK(buddy_signonoff_cb), NULL);
-	purple_signal_connect(purple_blist_get_handle(), "buddy-signed-off",
-			gtk_blist_handle, G_CALLBACK(buddy_signonoff_cb), NULL);
-	purple_signal_connect(purple_blist_get_handle(), "buddy-privacy-changed",
-			gtk_blist_handle, G_CALLBACK(pidgin_blist_update_privacy_cb), NULL);
-
-	purple_signal_connect_priority(purple_connections_get_handle(), "autojoin",
-	                               gtk_blist_handle, G_CALLBACK(autojoin_cb),
-	                               NULL, PURPLE_SIGNAL_PRIORITY_HIGHEST);
-}
-
-void
-pidgin_blist_uninit(void) {
-	g_hash_table_destroy(cached_emblems);
-
-	purple_signals_unregister_by_instance(pidgin_blist_get_handle());
-	purple_signals_disconnect_by_handle(pidgin_blist_get_handle());
-
-	gtkblist = NULL;
-}
-
 /**************************************************************************
  * GTK Buddy list GObject code
  **************************************************************************/
@@ -3887,310 +500,10 @@
 }
 
 static void
-pidgin_buddy_list_finalize(GObject *obj)
-{
-	PidginBuddyList *gtkblist = PIDGIN_BUDDY_LIST(obj);
-
-	purple_signals_disconnect_by_handle(gtkblist);
-
-	gtk_window_destroy(GTK_WINDOW(gtkblist->window));
-
-	gtkblist->window = gtkblist->vbox = gtkblist->treeview = NULL;
-	g_clear_object(&gtkblist->treemodel);
-
-	purple_prefs_disconnect_by_handle(pidgin_blist_get_handle());
+pidgin_buddy_list_class_init(PidginBuddyListClass *klass) {
+	PurpleBuddyListClass *purple_blist_class = PURPLE_BUDDY_LIST_CLASS(klass);
 
-	G_OBJECT_CLASS(pidgin_buddy_list_parent_class)->finalize(obj);
-}
-
-static void
-pidgin_buddy_list_class_init(PidginBuddyListClass *klass)
-{
-	GObjectClass *obj_class = G_OBJECT_CLASS(klass);
-	PurpleBuddyListClass *purple_blist_class;
-
-	obj_class->finalize = pidgin_buddy_list_finalize;
-
-	purple_blist_class = PURPLE_BUDDY_LIST_CLASS(klass);
-	purple_blist_class->new_node = pidgin_blist_new_node;
-	purple_blist_class->show = pidgin_blist_show;
-	purple_blist_class->update = pidgin_blist_update;
-	purple_blist_class->remove = pidgin_blist_remove;
-	purple_blist_class->set_visible = pidgin_blist_set_visible;
 	purple_blist_class->request_add_buddy = pidgin_blist_request_add_buddy;
 	purple_blist_class->request_add_chat = pidgin_blist_request_add_chat;
 	purple_blist_class->request_add_group = pidgin_blist_request_add_group;
 }
-
-/*********************************************************************
- * Buddy List sorting functions                                      *
- *********************************************************************/
-
-GList *
-pidgin_blist_get_sort_methods(void)
-{
-	return pidgin_blist_sort_methods;
-}
-
-void pidgin_blist_sort_method_reg(const char *id, const char *name, pidgin_blist_sort_function func)
-{
-	struct _PidginBlistSortMethod *method;
-
-	g_return_if_fail(id != NULL);
-	g_return_if_fail(name != NULL);
-	g_return_if_fail(func != NULL);
-
-	method = g_new0(struct _PidginBlistSortMethod, 1);
-	method->id = g_strdup(id);
-	method->name = g_strdup(name);
-	method->func = func;
-	pidgin_blist_sort_methods = g_list_append(pidgin_blist_sort_methods, method);
-	pidgin_blist_update_sort_methods();
-}
-
-void pidgin_blist_sort_method_unreg(const char *id)
-{
-	GList *l = pidgin_blist_sort_methods;
-
-	g_return_if_fail(id != NULL);
-
-	while(l) {
-		struct _PidginBlistSortMethod *method = l->data;
-		if(purple_strequal(method->id, id)) {
-			pidgin_blist_sort_methods = g_list_delete_link(pidgin_blist_sort_methods, l);
-			g_free(method->id);
-			g_free(method->name);
-			g_free(method);
-			break;
-		}
-		l = l->next;
-	}
-	pidgin_blist_update_sort_methods();
-}
-
-void pidgin_blist_sort_method_set(const char *id){
-	GList *l = pidgin_blist_sort_methods;
-
-	if(!id)
-		id = "none";
-
-	while (l && !purple_strequal(((struct _PidginBlistSortMethod*)l->data)->id, id))
-		l = l->next;
-
-	if (l) {
-		current_sort_method = l->data;
-	} else if (!current_sort_method) {
-		pidgin_blist_sort_method_set("none");
-		return;
-	}
-	if (purple_strequal(id, "none")) {
-		redo_buddy_list(purple_blist_get_default(), TRUE, FALSE);
-	} else {
-		redo_buddy_list(purple_blist_get_default(), FALSE, FALSE);
-	}
-}
-
-/******************************************
- ** Sort Methods
- ******************************************/
-
-static void
-sort_method_none(PurpleBlistNode *node, G_GNUC_UNUSED PurpleBuddyList *blist,
-                 GtkTreeIter parent_iter, GtkTreeIter *cur, GtkTreeIter *iter)
-{
-	PurpleBlistNode *sibling = node->prev;
-	GtkTreeIter sibling_iter;
-
-	if (cur != NULL) {
-		*iter = *cur;
-		return;
-	}
-
-	while (sibling && !get_iter_from_node(sibling, &sibling_iter)) {
-		sibling = sibling->prev;
-	}
-
-	gtk_tree_store_insert_after(gtkblist->treemodel, iter,
-			node->parent ? &parent_iter : NULL,
-			sibling ? &sibling_iter : NULL);
-}
-
-static void sort_method_alphabetical(PurpleBlistNode *node, PurpleBuddyList *blist, GtkTreeIter groupiter, GtkTreeIter *cur, GtkTreeIter *iter)
-{
-	GtkTreeIter more_z;
-
-	const char *my_name;
-
-	if(PURPLE_IS_META_CONTACT(node)) {
-		my_name = purple_meta_contact_get_alias((PurpleMetaContact*)node);
-	} else if(PURPLE_IS_CHAT(node)) {
-		my_name = purple_chat_get_name((PurpleChat*)node);
-	} else {
-		sort_method_none(node, blist, groupiter, cur, iter);
-		return;
-	}
-
-	if (!gtk_tree_model_iter_children(GTK_TREE_MODEL(gtkblist->treemodel), &more_z, &groupiter)) {
-		gtk_tree_store_insert(gtkblist->treemodel, iter, &groupiter, 0);
-		return;
-	}
-
-	do {
-		PurpleBlistNode *n;
-		const char *this_name;
-		int cmp;
-
-		gtk_tree_model_get(GTK_TREE_MODEL(gtkblist->treemodel), &more_z, NODE_COLUMN, &n, -1);
-
-		if(PURPLE_IS_META_CONTACT(n)) {
-			this_name = purple_meta_contact_get_alias((PurpleMetaContact*)n);
-		} else if(PURPLE_IS_CHAT(n)) {
-			this_name = purple_chat_get_name((PurpleChat*)n);
-		} else {
-			this_name = NULL;
-		}
-
-		cmp = purple_utf8_strcasecmp(my_name, this_name);
-
-		if(this_name && (cmp < 0 || (cmp == 0 && node < n))) {
-			if(cur) {
-				gtk_tree_store_move_before(gtkblist->treemodel, cur, &more_z);
-				*iter = *cur;
-				return;
-			} else {
-				gtk_tree_store_insert_before(gtkblist->treemodel, iter,
-						&groupiter, &more_z);
-				return;
-			}
-		}
-	} while (gtk_tree_model_iter_next (GTK_TREE_MODEL(gtkblist->treemodel), &more_z));
-
-	if(cur) {
-		gtk_tree_store_move_before(gtkblist->treemodel, cur, NULL);
-		*iter = *cur;
-		return;
-	} else {
-		gtk_tree_store_append(gtkblist->treemodel, iter, &groupiter);
-		return;
-	}
-}
-
-static void sort_method_status(PurpleBlistNode *node, PurpleBuddyList *blist, GtkTreeIter groupiter, GtkTreeIter *cur, GtkTreeIter *iter)
-{
-	GtkTreeIter more_z;
-
-	PurpleBuddy *my_buddy, *this_buddy;
-
-	if(PURPLE_IS_META_CONTACT(node)) {
-		my_buddy = purple_meta_contact_get_priority_buddy((PurpleMetaContact*)node);
-	} else if(PURPLE_IS_CHAT(node)) {
-		if (cur != NULL) {
-			*iter = *cur;
-			return;
-		}
-
-		gtk_tree_store_append(gtkblist->treemodel, iter, &groupiter);
-		return;
-	} else {
-		sort_method_alphabetical(node, blist, groupiter, cur, iter);
-		return;
-	}
-
-
-	if (!gtk_tree_model_iter_children(GTK_TREE_MODEL(gtkblist->treemodel), &more_z, &groupiter)) {
-		gtk_tree_store_insert(gtkblist->treemodel, iter, &groupiter, 0);
-		return;
-	}
-
-	do {
-		PurpleBlistNode *n;
-		gint name_cmp;
-		gint presence_cmp;
-
-		gtk_tree_model_get(GTK_TREE_MODEL(gtkblist->treemodel), &more_z, NODE_COLUMN, &n, -1);
-
-		if(PURPLE_IS_META_CONTACT(n)) {
-			this_buddy = purple_meta_contact_get_priority_buddy((PurpleMetaContact*)n);
-		} else {
-			this_buddy = NULL;
-		}
-
-		name_cmp = purple_utf8_strcasecmp(
-			purple_meta_contact_get_alias(purple_buddy_get_contact(my_buddy)),
-			(this_buddy
-			 ? purple_meta_contact_get_alias(purple_buddy_get_contact(this_buddy))
-			 : NULL));
-
-		presence_cmp = purple_buddy_presence_compare(
-			PURPLE_BUDDY_PRESENCE(purple_buddy_get_presence(my_buddy)),
-			this_buddy ? PURPLE_BUDDY_PRESENCE(purple_buddy_get_presence(this_buddy)) : NULL);
-
-		if (this_buddy == NULL ||
-			(presence_cmp < 0 ||
-			 (presence_cmp == 0 &&
-			  (name_cmp < 0 || (name_cmp == 0 && node < n)))))
-		{
-			if (cur != NULL)
-			{
-				gtk_tree_store_move_before(gtkblist->treemodel, cur, &more_z);
-				*iter = *cur;
-				return;
-			}
-			else
-			{
-				gtk_tree_store_insert_before(gtkblist->treemodel, iter,
-											 &groupiter, &more_z);
-				return;
-			}
-		}
-	}
-	while (gtk_tree_model_iter_next(GTK_TREE_MODEL(gtkblist->treemodel),
-									&more_z));
-
-	if (cur) {
-		gtk_tree_store_move_before(gtkblist->treemodel, cur, NULL);
-		*iter = *cur;
-		return;
-	} else {
-		gtk_tree_store_append(gtkblist->treemodel, iter, &groupiter);
-		return;
-	}
-}
-
-void
-pidgin_blist_update_sort_methods(void)
-{
-	GApplication *application = NULL;
-	GMenu *menu = NULL;
-	GList *l;
-
-	if(gtkblist == NULL || !PIDGIN_IS_CONTACT_LIST_WINDOW(gtkblist->window)) {
-		return;
-	}
-
-	/* get the menu and clear any existing entries. */
-	application = g_application_get_default();
-	menu = gtk_application_get_menu_by_id(GTK_APPLICATION(application),
-	                                      "sort-buddies");
-	g_menu_remove_all(menu);
-
-	/* Walk through the sort methods and add them to the menu. */
-	for (l = pidgin_blist_sort_methods; l; l = l->next) {
-		PidginBlistSortMethod *method = NULL;
-		GMenuItem *item = NULL;
-		GVariant *value = NULL;
-		gchar *action = NULL;
-
-		method = (PidginBlistSortMethod *)l->data;
-		value = g_variant_new_string(method->id);
-
-		action = g_action_print_detailed_name("blist.sort-method", value);
-		item = g_menu_item_new(method->name, action);
-
-		g_free(action);
-		g_variant_unref(value);
-
-		g_menu_append_item(menu, item);
-		g_object_unref(item);
-	}
-}
diff --git a/pidgin/gtkconv.c b/pidgin/gtkconv.c
--- a/pidgin/gtkconv.c
+++ b/pidgin/gtkconv.c
@@ -1379,7 +1379,8 @@
 
 static gboolean
 pidgin_conv_userlist_query_tooltip(GtkWidget *widget, int x, int y,
-                                   gboolean keyboard_mode, GtkTooltip *tooltip,
+                                   gboolean keyboard_mode,
+                                   G_GNUC_UNUSED GtkTooltip *tooltip,
                                    gpointer userdata)
 {
 	PidginConversation *gtkconv = userdata;
@@ -1389,9 +1390,6 @@
 	GtkTreePath *path = NULL;
 	GtkTreeModel *model = NULL;
 	GtkTreeIter iter;
-	PurpleBlistNode *node = NULL;
-	PurpleProtocol *protocol = NULL;
-	char *who = NULL;
 
 	conv = gtkconv->active_conv;
 	account = purple_conversation_get_account(conv);
@@ -1425,20 +1423,6 @@
 		}
 	}
 
-	gtk_tree_model_get(model, &iter, CHAT_USERS_NAME_COLUMN, &who, -1);
-
-	protocol = purple_connection_get_protocol(connection);
-	node = (PurpleBlistNode*)purple_blist_find_buddy(account, who);
-	g_free(who);
-
-	if (node && protocol && (purple_protocol_get_options(protocol) & OPT_PROTO_UNIQUE_CHATNAME)) {
-		if (pidgin_blist_query_tooltip_for_node(node, tooltip)) {
-			gtk_tree_view_set_tooltip_row(GTK_TREE_VIEW(widget), tooltip, path);
-			gtk_tree_path_free(path);
-			return TRUE;
-		}
-	}
-
 	gtk_tree_path_free(path);
 	return FALSE;
 }
@@ -2084,8 +2068,6 @@
 	{
 		char *title;
 		PurpleAccount *account = purple_conversation_get_account(conv);
-		PurpleBuddy *buddy = NULL;
-		char *markup = NULL;
 
 		if ((account == NULL) ||
 			!purple_account_is_connected(account) ||
@@ -2095,43 +2077,6 @@
 		else
 			title = g_strdup(purple_conversation_get_title(conv));
 
-		if (PURPLE_IS_IM_CONVERSATION(conv)) {
-			buddy = purple_blist_find_buddy(account, purple_conversation_get_name(conv));
-			if (buddy) {
-				markup = pidgin_blist_get_name_markup(buddy, FALSE, FALSE);
-			} else {
-				markup = title;
-			}
-		} else if (PURPLE_IS_CHAT_CONVERSATION(conv)) {
-			const char *topic = gtkconv->topic_text
-				? gtk_editable_get_text(GTK_EDITABLE(gtkconv->topic_text))
-				: NULL;
-			const char *title = purple_conversation_get_title(conv);
-			const char *name = purple_conversation_get_name(conv);
-
-			char *topic_esc, *unaliased, *unaliased_esc, *title_esc;
-
-			topic_esc = topic ? g_markup_escape_text(topic, -1) : NULL;
-			unaliased = g_utf8_collate(title, name) ? g_strdup_printf("(%s)", name) : NULL;
-			unaliased_esc = unaliased ? g_markup_escape_text(unaliased, -1) : NULL;
-			title_esc = g_markup_escape_text(title, -1);
-
-			markup = g_strdup_printf("%s%s<span size='smaller'>%s</span>%s<span size='smaller'>%s</span>",
-						title_esc,
-						unaliased_esc ? " " : "",
-						unaliased_esc ? unaliased_esc : "",
-						topic_esc  && *topic_esc ? "\n" : "",
-						topic_esc ? topic_esc : "");
-
-			g_free(title_esc);
-			g_free(topic_esc);
-			g_free(unaliased);
-			g_free(unaliased_esc);
-		}
-
-		if (title != markup)
-			g_free(markup);
-
 		if (pidgin_display_window_conversation_is_selected(displaywin, conv)) {
 			const char* current_title = gtk_window_get_title(GTK_WINDOW(win));
 			if (current_title == NULL || !purple_strequal(current_title, title)) {
diff --git a/pidgin/pidginapplication.c b/pidgin/pidginapplication.c
--- a/pidgin/pidginapplication.c
+++ b/pidgin/pidginapplication.c
@@ -839,9 +839,6 @@
 	/* load plugins we had when we quit */
 	purple_plugins_load_saved(PIDGIN_PREFS_ROOT "/plugins/loaded");
 
-	/* gk 20201008: this needs to be moved to the buddy list initialization. */
-	pidgin_blist_setup_sort_methods();
-
 	gtk_window_set_default_icon_name("pidgin");
 
 	g_free(opt_config_dir_arg);
diff --git a/pidgin/pidginui.c b/pidgin/pidginui.c
--- a/pidgin/pidginui.c
+++ b/pidgin/pidginui.c
@@ -187,7 +187,6 @@
 
 	pidgin_accounts_init();
 	pidgin_request_init();
-	pidgin_blist_init();
 	pidgin_conversations_init();
 	pidgin_commands_init();
 	pidgin_xfers_init();
@@ -206,7 +205,6 @@
 	pidgin_notify_uninit();
 	pidgin_commands_uninit();
 	pidgin_conversations_uninit();
-	pidgin_blist_uninit();
 	pidgin_request_uninit();
 	pidgin_accounts_uninit();
 	pidgin_xfers_uninit();
diff --git a/pidgin/plugins/meson.build b/pidgin/plugins/meson.build
--- a/pidgin/plugins/meson.build
+++ b/pidgin/plugins/meson.build
@@ -1,6 +1,5 @@
 subdir('disco')
 subdir('gestures')
-subdir('gtkbuddynote')
 subdir('iconaway')
 subdir('notify')
 subdir('spellchk')
diff --git a/pidgin/plugins/transparency/transparency.c b/pidgin/plugins/transparency/transparency.c
--- a/pidgin/plugins/transparency/transparency.c
+++ b/pidgin/plugins/transparency/transparency.c
@@ -61,20 +61,6 @@
  *  CODE
  */
 
-static GtkWidget *
-get_buddy_list_window(void) {
-	PurpleBuddyList *purple_blist = NULL;
-
-	purple_blist = purple_blist_get_default();
-	if(PIDGIN_IS_BUDDY_LIST(purple_blist)) {
-		PidginBuddyList *pidgin_blist = PIDGIN_BUDDY_LIST(purple_blist);
-
-		return pidgin_blist->window;
-	}
-
-	return NULL;
-}
-
 /* Set window transparency level */
 static void
 set_wintrans(GtkWidget *window, int alpha, gboolean enabled)
@@ -143,35 +129,6 @@
 	g_object_set_data(G_OBJECT(window), WINTRANS_CONTROLLER_KEY, NULL);
 }
 
-/* When buddy list window is focused,
- * if we're only transparent when unfocused, deal with transparency */
-static void
-focus_blist_win_cb(GtkEventControllerFocus *self, gpointer data)
-{
-	GtkWidget *window = NULL;
-	gboolean enter = GPOINTER_TO_INT(data);
-	GSettings *settings = NULL;
-
-	settings = g_settings_new_with_backend(OPT_SCHEMA,
-	                                       purple_core_get_settings_backend());
-
-	if(!g_settings_get_boolean(settings, OPT_WINTRANS_BL_ENABLED)) {
-		g_object_unref(settings);
-		return;
-	}
-	if(!g_settings_get_boolean(settings, OPT_WINTRANS_BL_ONFOCUS)) {
-		g_object_unref(settings);
-		return;
-	}
-
-	window = gtk_event_controller_get_widget(GTK_EVENT_CONTROLLER(self));
-	set_wintrans(window,
-	             g_settings_get_int(settings, OPT_WINTRANS_BL_ALPHA),
-	             !enter);
-
-	g_object_unref(settings);
-}
-
 static void change_alpha(GtkWidget *w, gpointer data) {
 	int alpha = gtk_range_get_value(GTK_RANGE(w));
 	GSettings *settings = NULL;
@@ -208,16 +165,6 @@
 	remove_focus_controller_from_conv_win(GTK_WIDGET(window));
 }
 
-static void set_blist_trans(GtkWidget *w, const char *pref) {
-	GtkWidget *window = get_buddy_list_window();
-	gboolean enabled = gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(w));
-	purple_prefs_set_bool(pref, enabled);
-	if (window != NULL) {
-		set_wintrans(window, purple_prefs_get_int(OPT_WINTRANS_BL_ALPHA),
-			purple_prefs_get_bool(OPT_WINTRANS_BL_ENABLED));
-	}
-}
-
 static void
 remove_slider(GtkWidget *slider_frame) {
 	gtk_widget_unparent(slider_frame);
@@ -392,37 +339,6 @@
 	add_focus_controller_to_conv_win(GTK_WIDGET(window));
 }
 
-static void
-blist_created_cb(PurpleBuddyList *purple_blist, gpointer data) {
-	GtkWidget *window = get_buddy_list_window();
-	GSettings *settings = NULL;
-
-	settings = g_settings_new_with_backend(OPT_SCHEMA,
-	                                       purple_core_get_settings_backend());
-
-	if (window != NULL) {
-		GtkEventController *focus = NULL;
-
-		if (g_settings_get_boolean(settings, OPT_WINTRANS_BL_ENABLED)) {
-			set_wintrans(window,
-			             g_settings_get_int(settings, OPT_WINTRANS_BL_ALPHA),
-			             TRUE);
-		}
-
-		focus = gtk_event_controller_focus_new();
-
-		g_signal_connect(focus, "enter", G_CALLBACK(focus_blist_win_cb),
-		                 GINT_TO_POINTER(TRUE));
-		g_signal_connect(focus, "leave", G_CALLBACK(focus_blist_win_cb),
-		                 GINT_TO_POINTER(FALSE));
-
-		gtk_widget_add_controller(window, focus);
-		g_object_set_data(G_OBJECT(window), WINTRANS_CONTROLLER_KEY, focus);
-	}
-
-	g_object_unref(settings);
-}
-
 static void alpha_change(GtkWidget *w, gpointer data) {
 	GApplication *application = NULL;
 	GList *wins;
@@ -454,13 +370,6 @@
 	purple_prefs_set_int(pref, alpha);
 }
 
-static void bl_alpha_change(GtkWidget *w, gpointer data) {
-	GtkWidget *window = get_buddy_list_window();
-	if (window != NULL) {
-		change_alpha(w, window);
-	}
-}
-
 static void
 update_existing_convs(void) {
 	GApplication *application = NULL;
@@ -485,7 +394,7 @@
 static GtkWidget *
 get_config_frame(PurplePlugin *plugin) {
 	GtkWidget *ret;
-	GtkWidget *imtransbox, *bltransbox;
+	GtkWidget *imtransbox;
 	GtkWidget *hbox;
 	GtkWidget *label, *slider;
 	GtkWidget *button;
@@ -543,22 +452,6 @@
 
 	gtk_box_append(GTK_BOX(trans_box), hbox);
 
-	/* Buddy List trans options */
-	bltransbox = pidgin_make_frame (ret, _("Buddy List Window"));
-	button = pidgin_prefs_checkbox(_("_Buddy List window transparency"),
-		OPT_WINTRANS_BL_ENABLED, bltransbox);
-	g_signal_connect(G_OBJECT(button), "clicked",
-		G_CALLBACK(set_blist_trans),
-		(gpointer) OPT_WINTRANS_BL_ENABLED);
-
-	trans_box = gtk_box_new(GTK_ORIENTATION_VERTICAL, 18);
-	g_object_bind_property(button, "active", trans_box, "sensitive",
-			G_BINDING_SYNC_CREATE);
-	button = pidgin_prefs_checkbox(
-		_("Remove Buddy List window transparency on focus"),
-		OPT_WINTRANS_BL_ONFOCUS, trans_box);
-	gtk_box_append(GTK_BOX(bltransbox), trans_box);
-
 	/* IM transparency slider */
 	hbox = gtk_box_new(GTK_ORIENTATION_HORIZONTAL, 5);
 
@@ -569,13 +462,6 @@
 	gtk_range_set_value(GTK_RANGE(slider),
 		purple_prefs_get_int(OPT_WINTRANS_BL_ALPHA));
 
-	g_signal_connect(G_OBJECT(slider), "value-changed",
-		G_CALLBACK(bl_alpha_change), NULL);
-	focus = gtk_event_controller_focus_new();
-	g_signal_connect(focus, "leave", G_CALLBACK(alpha_pref_set_int),
-	                 (gpointer)OPT_WINTRANS_BL_ALPHA);
-	gtk_widget_add_controller(slider, focus);
-
 	gtk_box_append(GTK_BOX(hbox), slider);
 
 	gtk_box_append(GTK_BOX(trans_box), hbox);
@@ -608,7 +494,6 @@
 static gboolean
 transparency_load(GPluginPlugin *plugin, GError **error) {
 	GApplication *application = NULL;
-	GtkWidget *window = NULL;
 
 	application = g_application_get_default();
 	g_signal_connect(application, "window-added",
@@ -618,45 +503,15 @@
 
 	update_existing_convs();
 
-	window = get_buddy_list_window();
-	if(window != NULL) {
-		blist_created_cb(NULL, NULL);
-	} else {
-		purple_signal_connect(pidgin_blist_get_handle(),
-			"gtkblist-created", plugin,
-			G_CALLBACK(blist_created_cb), NULL);
-	}
-
 	return TRUE;
 }
 
 static gboolean
 transparency_unload(GPluginPlugin *plugin, gboolean shutdown, GError **error) {
-	GtkWidget *window = NULL;
-
 	purple_debug_info(WINTRANS_PLUGIN_ID, "Unloading transparency plugin\n");
 
 	remove_convs_wintrans(TRUE);
 
-	window = get_buddy_list_window();
-	if (window != NULL) {
-		GSettings *settings = NULL;
-		GtkEventController *focus = NULL;
-
-		settings = g_settings_new_with_backend(OPT_SCHEMA,
-		                                       purple_core_get_settings_backend());
-		if (g_settings_get_boolean(settings, OPT_WINTRANS_BL_ENABLED)) {
-			set_wintrans(window, 0, FALSE);
-		}
-		g_object_unref(settings);
-
-		/* Remove the focus cbs */
-		focus = g_object_get_data(G_OBJECT(window), WINTRANS_CONTROLLER_KEY);
-		if(GTK_IS_EVENT_CONTROLLER_FOCUS(focus)) {
-			gtk_widget_remove_controller(window, focus);
-		}
-	}
-
 	return TRUE;
 }
 
diff --git a/pidgin/win32/gtkwin32dep.c b/pidgin/win32/gtkwin32dep.c
--- a/pidgin/win32/gtkwin32dep.c
+++ b/pidgin/win32/gtkwin32dep.c
@@ -73,12 +73,13 @@
 static LRESULT CALLBACK message_window_handler(HWND hwnd, UINT msg, WPARAM wparam, LPARAM lparam) {
 
 	if (msg == PIDGIN_WM_FOCUS_REQUEST) {
-		PidginBuddyList *blist;
-		purple_debug_info("winpidgin", "Got external Buddy List focus request.");
-		blist = pidgin_blist_get_default_gtk_blist();
-		if (blist != NULL && blist->window != NULL) {
-			gtk_window_present(GTK_WINDOW(blist->window));
-		}
+		GtkWidget *widget = NULL;
+
+		purple_debug_info("winpidgin", "Got external focus request.");
+
+		widget = pidgin_display_window_get_default();
+		gtk_window_present(GTK_WINDOW(widget));
+
 		return TRUE;
 	} else if (msg == PIDGIN_WM_PROTOCOL_HANDLE) {
 		char *proto_msg = (char *) lparam;
